import request from '@/utils/request'

// 查询源文件管理列表
export function listSourceFile(query) {
  return request({
    url: '/graph/sourceFile/list',
    method: 'get',
    params: query
  })
}

// 查询源文件管理详细
export function getSourceFile(id) {
  return request({
    url: '/graph/sourceFile/' + id,
    method: 'get'
  })
}

// 新增源文件管理
export function addSourceFile(data) {
  return request({
    url: '/graph/sourceFile',
    method: 'post',
    data: data
  })
}

// 修改源文件管理
export function updateSourceFile(data) {
  return request({
    url: '/graph/sourceFile',
    method: 'put',
    data: data
  })
}

// 删除源文件管理
export function delSourceFile(id) {
  return request({
    url: '/graph/sourceFile/' + id,
    method: 'delete'
  })
}

// 获取id，name的option
export function getSourceFileOptions() {
  return request({
    url: '/graph/sourceFile/getOptions',
    method: 'get'
  })
}

